/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.cosmodas.FacadeCosmos;

import com.cosmodas.EntCosmos.Tnabono;

import java.util.List;
import javax.ejb.Local;

/**
 * @author obper
 */
@Local
public interface TnabonoFacadeLocal {

    void create(Tnabono tnabono);

    void edit(Tnabono tnabono);

    void remove(Tnabono tnabono);

    Tnabono find(Object id);

    List<Tnabono> findAll();

    List<Tnabono> findRange(int[] range);

    int count();

    Tnabono FindMultiple(String productoCodigo, String programaCodigo, String sucursal);

}
